SuperLU: GlobalLU_t Struct Reference

# GlobalLU_t Struct Reference

`#include <slu_cdefs.h>`

## Data Fields
int * | xsup
int * | supno
int * | lsub
int * | xlsub
complex * | lusup
int * | xlusup
complex * | ucol
int * | usub
int * | xusub
int | nzlmax
int | nzumax
int | nzlumax
int | n
LU_space_t | MemModel
int | num_expansions
ExpHeader * | expanders
LU_stack_t | stack
int * | xsup
int * | supno
int * | lsub
int * | xlsub
double * | lusup
int * | xlusup
double * | ucol
int * | usub
int * | xusub
ExpHeader * | expanders
int * | xsup
int * | supno
int * | lsub
int * | xlsub
float * | lusup
int * | xlusup
float * | ucol
int * | usub
int * | xusub
ExpHeader * | expanders
int * | xsup
int * | supno
int * | lsub
int * | xlsub
doublecomplex * | lusup
int * | xlusup
doublecomplex * | ucol
int * | usub
int * | xusub
ExpHeader * | expanders

## Field Documentation

int* GlobalLU_t::xsup

int* GlobalLU_t::supno

int* GlobalLU_t::lsub

int* GlobalLU_t::xlsub

complex* GlobalLU_t::lusup

int* GlobalLU_t::xlusup

complex* GlobalLU_t::ucol

int* GlobalLU_t::usub

int* GlobalLU_t::xusub

int GlobalLU_t::nzlmax

int GlobalLU_t::nzumax

int GlobalLU_t::nzlumax

int GlobalLU_t::n

LU_space_t GlobalLU_t::MemModel

int GlobalLU_t::num_expansions

ExpHeader* GlobalLU_t::expanders

LU_stack_t GlobalLU_t::stack

int* GlobalLU_t::xsup

int* GlobalLU_t::supno

int* GlobalLU_t::lsub

int* GlobalLU_t::xlsub

double* GlobalLU_t::lusup

int* GlobalLU_t::xlusup

double* GlobalLU_t::ucol

int* GlobalLU_t::usub

int* GlobalLU_t::xusub

ExpHeader* GlobalLU_t::expanders

int* GlobalLU_t::xsup

int* GlobalLU_t::supno

int* GlobalLU_t::lsub

int* GlobalLU_t::xlsub

float* GlobalLU_t::lusup

int* GlobalLU_t::xlusup

float* GlobalLU_t::ucol

int* GlobalLU_t::usub

int* GlobalLU_t::xusub

ExpHeader* GlobalLU_t::expanders

int* GlobalLU_t::xsup

int* GlobalLU_t::supno

int* GlobalLU_t::lsub

int* GlobalLU_t::xlsub

doublecomplex* GlobalLU_t::lusup

int* GlobalLU_t::xlusup

doublecomplex* GlobalLU_t::ucol

int* GlobalLU_t::usub

int* GlobalLU_t::xusub

ExpHeader* GlobalLU_t::expanders

The documentation for this struct was generated from the following files:

- SRC/slu_cdefs.h
- SRC/slu_ddefs.h
- SRC/slu_sdefs.h
- SRC/slu_zdefs.h